Subject: Re: [PATCH 8/8] fetch: introduce machine-parseable "porcelain" output format

From: Felipe Contreras <[email-masked]>
Date: Tue, 02 May 2023 14:55:59 -0600

Patrick Steinhardt wrote:
> On Wed, Apr 26, 2023 at 12:52:46PM -0700, Glen Choo wrote:
> > Patrick Steinhardt <[email-masked]> writes:
> > 
> > > The output format is quite simple:
> > >
> > > ```
> > > <flag> <old-object-id> <new-object-id> <local-reference>\n
> > > ```
> > 
> > This format doesn't show the remote name or url that was fetched. That
> > seems okay when fetching with a single remote, but it seems necessary
> > with "--all". Perhaps you were planning to add that in a later series?
> > If so, I think it's okay to call the "porcelain" format experimental,
> > and forbid porcelain + --all until then.
> 
> The reason is mostly that I didn't find an output format that I really
> liked here. We'd basically have to repeat the remote URL for every
> single reference: just repeating it once per remote doesn't fly because
> with `--parallel` the output could be intermingled. But doing that feels
> wasteful to me, so I bailed. I guess I'm also biased here because it
> just wouldn't be useful to myself.

Couldn't each URL be assigned an index and then just show `0` in the output? I
think it should be straightforward for a parser to figure out what `0` means
but if not, that's something that could be figured out once the use case
arrives (which very well could be never).

-- 
Felipe Contreras